/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class StlTextFactoryImpl extends EFactoryImpl implements StlTextFactory
{
  /**
   * Creates the default factory implementation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static StlTextFactory init()
  {
    try
    {
      StlTextFactory theStlTextFactory = (StlTextFactory)EPackage.Registry.INSTANCE.getEFactory(StlTextPackage.eNS_URI);
      if (theStlTextFactory != null)
      {
        return theStlTextFactory;
      }
    }
    catch (Exception exception)
    {
      EcorePlugin.INSTANCE.log(exception);
    }
    return new StlTextFactoryImpl();
  }

  /**
   * Creates an instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public StlTextFactoryImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public EObject create(EClass eClass)
  {
    switch (eClass.getClassifierID())
    {
      case StlTextPackage.ASSIGNMENTS: return createassignments();
      case StlTextPackage.ASSIGNMENT: return createassignment();
      case StlTextPackage.EXPRESSION: return createexpression();
      case StlTextPackage.EXPRESSION_START: return createexpression_start();
      case StlTextPackage.EXPRESSION_CONT: return createexpression_cont();
      case StlTextPackage.REAL_EXPRESSION: return createreal_expression();
      case StlTextPackage.REAL_EXPRESSION_NL: return createreal_expression_nl();
      case StlTextPackage.NUM_LITERAL: return createnum_literal();
      case StlTextPackage.INTERVAL: return createinterval();
      case StlTextPackage.INTERVAL_TIME: return createintervalTime();
      default:
        throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
    }
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public assignments createassignments()
  {
    assignmentsImpl assignments = new assignmentsImpl();
    return assignments;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public assignment createassignment()
  {
    assignmentImpl assignment = new assignmentImpl();
    return assignment;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public expression createexpression()
  {
    expressionImpl expression = new expressionImpl();
    return expression;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public expression_start createexpression_start()
  {
    expression_startImpl expression_start = new expression_startImpl();
    return expression_start;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public expression_cont createexpression_cont()
  {
    expression_contImpl expression_cont = new expression_contImpl();
    return expression_cont;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public real_expression createreal_expression()
  {
    real_expressionImpl real_expression = new real_expressionImpl();
    return real_expression;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public real_expression_nl createreal_expression_nl()
  {
    real_expression_nlImpl real_expression_nl = new real_expression_nlImpl();
    return real_expression_nl;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public num_literal createnum_literal()
  {
    num_literalImpl num_literal = new num_literalImpl();
    return num_literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public interval createinterval()
  {
    intervalImpl interval = new intervalImpl();
    return interval;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public intervalTime createintervalTime()
  {
    intervalTimeImpl intervalTime = new intervalTimeImpl();
    return intervalTime;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public StlTextPackage getStlTextPackage()
  {
    return (StlTextPackage)getEPackage();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @deprecated
   * @generated
   */
  @Deprecated
  public static StlTextPackage getPackage()
  {
    return StlTextPackage.eINSTANCE;
  }

} //StlTextFactoryImpl
